> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.apologist.ai/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.apologist.ai/_mcp/server.

# LINE Channel Status

GET https://your-agent-domain.com/api/v1/channels/{id}/line

Returns the status of the LINE channel. Used as a lightweight health/verification endpoint.

Reference: https://docs.apologist.ai/agent-api/api-reference/channels/get-line-channel-status

## Request

### Path parameters

- `id` (string, required) — The channel id

## Response

### 200

Channel status

- `status` (string, optional)
- `channel` (string, optional)
- `active` (boolean, optional)

## Errors

### 404 Not Found Error

Channel not found

- `any`

## Examples

**Response**

```json
{
  "status": "string",
  "channel": "string",
  "active": true
}
```

**SDK Code**

```typescript
import { ApologistAgentClient } from "apologist";

async function main() {
    const client = new ApologistAgentClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.channels.getLineChannelStatus({
        id: "id",
    });
}
main();

```

```python
from apologist import ApologistAgentClient

client = ApologistAgentClient(
    api_key="YOUR_API_KEY_HERE",
)

client.channels.get_line_channel_status(
    id="id",
)

```

```java
package com.example.usage;

import ai.apologist.AgentClient;
import ai.apologist.resources.channels.requests.GetLineChannelStatusRequest;

public class Example {
    public static void main(String[] args) {
        AgentClient client = AgentClient
            .builder()
            .apiKey("YOUR_API_KEY_HERE")
            .build();

        client.channels().getLineChannelStatus(
            "id",
            GetLineChannelStatusRequest
                .builder()
                .build()
        );
    }
}
```

```ruby
require "apologist"

client = Apologist::AgentClient.new(api_key: "YOUR_API_KEY_HERE")

client.channels.get_line_channel_status(id: "id")

```

```csharp
using Apologist;
using System.Threading.Tasks;

public partial class Examples
{
    public async Task Example() {
        var client = new AgentClient(
            apiKey: "YOUR_API_KEY_HERE"
        );

        await client.Channels.GetLineChannelStatusAsync(
            new GetLineChannelStatusRequest {
                Id = "id"
            }
        );
    }

}

```

```go
package example

import (
    context "context"

    apgsdkgo "github.com/apologist-project/apg-sdk-go"
    client "github.com/apologist-project/apg-sdk-go/client"
    option "github.com/apologist-project/apg-sdk-go/option"
)

func do() {
    client := client.NewApologistAgentClient(
        option.WithAPIKey(
            "YOUR_API_KEY_HERE",
        ),
    )
    request := &apgsdkgo.GetLineChannelStatusRequest{
        ID: "id",
    }
    client.Channels.GetLineChannelStatus(
        context.TODO(),
        request,
    )
}

```

```php
<?php

namespace Example;

use Apologist\AgentClient;

$client = new AgentClient(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->channels->getLineChannelStatus(
    'id',
);

```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://your-agent-domain.com/api/v1/channels/id/line")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```